.file-upload {
    display: grid;
    grid-row-gap: rem(22);
    grid-column-gap: rem(10);
    grid-template-columns: 1fr 1fr 1fr;

    &__button {
        overflow: hidden;
        display: block;
        font-weight: 400;
        position: relative;
        grid-column: span 3;

        input {
            top: 0;
            left: 0;
            width: 0;
            height: 0;
            opacity: 0;
            display: block;
            overflow: hidden;
            position: absolute;
            visibility: hidden;
        }
    }

    &__label {
        display: flex;
        align-items: center;
        justify-content: center;
        row-gap: rem(12);
        column-gap: rem(14);
        width: 100%;
        cursor: pointer;
        stroke: var(--green);
        color: var(--green);
        height: rem(60);
        font-weight: 500;
        font-size: rem(17);
        line-height: rem(20);
        font-style: normal;
        border-radius: 12px;
        white-space: nowrap;
        background: rgba(232, 235, 240, 0.2);
        border: 1px dashed #D9E0E7;
        transition: var(--transition-time);

        &:hover {
            border-color: var(--green);
        }

        &:after {
            content: attr(data-upload-attach);
        }

        i {
            font-size: 0;
            line-height: 0;
            flex-shrink: 0;
            height: rem(24);
            display: inline-block;
        }
    }

    &__item {
        height: rem(110);
        overflow: hidden;
        border-radius: rem(12);
    }

    &__image {
        height: 100%;
        font-size: 0;
        line-height: 0;
        display: block;
        text-decoration: none;
    }

    &__media {
        width: 100%;
        height: 100%;
        background: rgba(0, 153, 84, 0.1);
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        row-gap: rem(12);
        column-gap: rem(12);
    }

    &__play {
        display: block;
        width: rem(40);
        height: rem(40);
        flex-shrink: 0;
    }

    &__sound {
        display: block;
        width: rem(67);
        flex-shrink: 0;
    }

    &--uploaded {

        .file-upload {

            &__label {
                color: #85959E;
                stroke: #85959E;

                &:after {
                    content: attr(data-upload-append);
                }

                &:hover {
                    color: var(--green);
                    stroke: var(--green);
                }
            }
        }
    }

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr 1fr 1fr;

        &__button {
            grid-column: span 4;
        }

        &--uploaded {

            .file-upload {

                &__button {
                    grid-column: span 1;
                }

                &__label {
                    height: 100%;
                    font-size: rem(14);
                    flex-direction: column;
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__item {
            height: rem(132);
        }

        &__media {
            flex-direction: row;
        }

        &__sound {
            width: rem(113);
        }

        &--uploaded {

            .file-upload {

                &__label {
                    height: 100%;
                    font-size: rem(15);
                    flex-direction: row;
                }
            }
        }
    }
}
